Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
could not update KDE 3.5 to 4.x due to missing USE flags
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2619
Location: Hamburg/Germany

PostPosted: Thu Nov 05, 2009 4:20 pm    Post subject: could not update KDE 3.5 to 4.x due to missing USE flags Reply with quote

although I've the 10.0 desktop profile I get :
Code:
n22 /etc/portage # emerge --nospinner --newuse --update --ask --verbose --deep --tree --with-bdeps=y world

These are the packages that would be merged, in reverse order:

Calculating dependencies ... done!

emerge: there are no ebuilds built with USE flags to satisfy ">=dev-python/PyQt4-4.5[dbus,sql,svg,webkit,X]".
!!! One of the following packages is required to complete your request:
- dev-python/PyQt4-4.5.4-r4 (Change USE: +sql +webkit)
(dependency required by "kde-base/pykde4-4.3.1" [ebuild])
(dependency required by "kde-base/plasma-workspace-4.3.1" [ebuild])
(dependency required by "kde-base/kdebase-startkde-4.3.1" [ebuild])
(dependency required by "world" [argument])
Do I miss sth. or shouldn't these USE flags be included into the desktop schema ?
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2001
Location: Finland

PostPosted: Thu Nov 05, 2009 4:25 pm    Post subject: Reply with quote

Most likely, yes,

package.use

x11-libs/qt-sql mysql
dev-python/PyQt4 sql

make.conf

mng webkit

should be in desktop profile. I suggest you open a bug.
Back to top
View user's profile Send private message
calicoman
Apprentice
Apprentice


Joined: 18 Feb 2004
Posts: 171

PostPosted: Fri Nov 06, 2009 2:15 am    Post subject: Reply with quote

Thanks a million ssuominen - this solved my problem. I have been going around for what seems like months trying to solve this qt mess. And the answers seemed to be simply the proper use of USE flags, however it does not help when they are not even listed in use.desc.

Thanks again!
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2619
Location: Hamburg/Germany

PostPosted: Fri Nov 06, 2009 8:29 am    Post subject: Reply with quote

BTW https://bugs.gentoo.org/show_bug.cgi?id=291996
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum